<?php
 // === Classe Personnel ===
 class Personnel
 { // -- Les attributs ou propriétés --
   private $_nom=""    ;
   private $_prenom="" ;
   // -- méthodes --
   protected function getNom() {return $this->_nom;}
   protected function getPrenom() {return $this->_prenom;}
   protected function setNom($v) {$this->_nom=strtoupper(trim($v));}
   protected function setPrenom($v) {$this->_prenom=strtoupper(trim($v));}   
 }
 // === Classe Cadre ===
 class Cadre extends Personnel
 { // -- Les attributs ou propriétés --
   private $_tel=""   ;
   // -- méthodes --
   public function ModifieCadre($n,$p,$t) {
    $this->setNom($n)    ;
    $this->setPrenom($p) ;
    $this->_tel=trim($t) ;
   }
   public function AfficheCadre() {
    echo $this->getNom()." "    ;
    echo $this->getPrenom()." " ;
    echo $this->_tel.PHP_EOL    ;
   }
 }
 // === Programme ===
 $un_cadre = new Cadre()   ;
 $un_cadre->ModifieCadre("dupont","jean","0143451122");
 $un_cadre->AfficheCadre() ;
?>
